VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | List of all members
PluginFactory Class Reference

`#include <module.h>`

## Public Types
using | ClassInfos = std::vector< ClassInfo >
using | PluginFactoryPtr = Steinberg::IPtr< Steinberg::IPluginFactory >

## Public Member Functions
| PluginFactory (const PluginFactoryPtr &factory) noexcept
void | setHostContext (Steinberg::FUnknown *context) const noexcept
FactoryInfo | info () const noexcept
uint32_t | classCount () const noexcept
ClassInfos | classInfos () const noexcept
template<typename T >
Steinberg::IPtr< T > | createInstance (const UID &classID) const noexcept
const PluginFactoryPtr & | get () const noexcept

## Member Typedef Documentation

using ClassInfos = std::vector<ClassInfo>

using PluginFactoryPtr = Steinberg::IPtr<Steinberg::IPluginFactory>

## Constructor & Destructor Documentation

PluginFactory | ( | const PluginFactoryPtr & | factory | ) |
| explicit noexcept

## Member Function Documentation

void setHostContext | ( | Steinberg::FUnknown * | context | ) | const
| noexcept

FactoryInfo info | ( |  | ) | const
| noexcept

uint32_t classCount | ( |  | ) | const
| noexcept

PluginFactory::ClassInfos classInfos | ( |  | ) | const
| noexcept

Steinberg::IPtr< T > createInstance | ( | const UID & | classID | ) | const
| inline noexcept

const PluginFactoryPtr& get | ( |  | ) | const
| inline noexcept

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.